DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmStdinStream Class Reference

input stream that reads from standard input More...

Inheritance diagram for DcmStdinStream:

## Public Member Functions
| DcmStdinStream ()
| constructor
virtual | ~DcmStdinStream ()
| destructor
virtual DcmInputStreamFactory * | newFactory () const
| creates a new factory object for the current stream and stream position. More...
virtual void | fillBuffer ()
| fill the read buffer from stdin. More...
Public Member Functions inherited from DcmInputStream
virtual | ~DcmInputStream ()
| destructor
virtual OFBool | good () const
| returns the status of the stream. More...
virtual OFCondition | status () const
| returns the status of the stream as an OFCondition object. More...
virtual OFBool | eos ()
| returns true if the producer is at the end of stream. More...
virtual offile_off_t | avail ()
| returns the minimum number of bytes that can be read with the next call to read(). More...
virtual offile_off_t | read (void *buf, offile_off_t buflen)
| reads as many bytes as possible into the given block. More...
virtual offile_off_t | skip (offile_off_t skiplen)
| skips over the given number of bytes (or less) More...
virtual offile_off_t | tell () const
| returns the total number of bytes read from the stream so far More...
virtual OFCondition | installCompressionFilter (E_StreamCompression filterType)
| installs a compression filter for the given stream compression type, which should be neither ESC_none nor ESC_unsupported. More...
virtual void | mark ()
| marks the current stream position for a later putback operation, overwriting a possibly existing prior putback mark. More...
virtual void | putback ()
| resets the stream to the position previously marked with setPutbackMark(). More...

## Private Member Functions
| DcmStdinStream (const DcmStdinStream &)
| private unimplemented copy constructor
DcmStdinStream & | operator= (const DcmStdinStream &)
| private unimplemented copy assignment operator

## Private Attributes
DcmBufferProducer | producer_
| the final producer of the filter chain
unsigned char * | buf_
| a buffer

## Additional Inherited Members
Protected Member Functions inherited from DcmInputStream
| DcmInputStream (DcmProducer *initial)
| protected constructor, to be called from derived class constructor More...
const DcmProducer * | currentProducer () const
| returns pointer to current producer object

## Detailed Description

input stream that reads from standard input

## Member Function Documentation

## ◆ fillBuffer()

virtual void DcmStdinStream::fillBuffer | ( |  | ) |
| virtual

fill the read buffer from stdin.

After a call to this method, the read()-method for the DcmDataset or DcmFileFormat should be called, and the sequence repeated as long as the read() method returns EC_StreamNotifyClient.

## ◆ newFactory()

virtual DcmInputStreamFactory* DcmStdinStream::newFactory | ( |  | ) | const
| virtual

creates a new factory object for the current stream and stream position.

When activated, the factory will be able to create new DcmInputStream delivering the same data as the current stream. Used to defer loading of value fields until accessed. If no factory object can be created (e.g. because the stream is not seekable), returns NULL.

Returns
  pointer to new factory object if successful, NULL otherwise.

Implements DcmInputStream.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcistrms.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1